<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="aa261e4c-e878-4911-bc67-ef6ac9163407" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/../CORP_3WeeksDay11/CORP_3WeeksDay11.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../CORP_3WeeksDay11/src/assignment1d10.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../CORP_3WeeksDay11/src/assignment2d10.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../HibernateApplication/pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../HibernateApplication/src/main/java/com/electricalweb/application/HibernateApplication.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../HibernateApplication/src/main/java/com/electricalweb/daos/UserDao.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../HibernateApplication/src/main/java/com/electricalweb/entities/User.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../HibernateApplication/src/main/resources/META-INF/persistence.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/uiDesigner.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/electricalweb/daos/ProductDao.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/com/electricalweb/entities/Product.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../Intellij IDEA/.idea/Intellij IDEA.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../Intellij IDEA/assignment_day2/assignment_day2.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../Intellij IDEA/assignmentd2/assignmentd2.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore 2/src/main/java/com/codeflex/springboot/service/ProductServiceDB.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore 2/src/main/java/com/codeflex/springboot/service/ProductServiceDatabase.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore/src/main/java/com/codeflex/springboot/service/ProductServiceHM.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore/src/main/java/com/codeflex/springboot/service/ProductServiceHashMap.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore_SpringJDBC/src/main/java/com/codeflex/springboot/repository/JdbcProductRepository.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore_SpringJDBC/src/main/java/com/codeflex/springboot/repository/ProductRepository.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../SpringbootRestOnlineStore_SpringJDBC/src/main/resources/application.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/d03.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/out/production/d03/arrays/arrays.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/arrays.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/assignment1d3.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/assignment2d3.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/assignment3d3.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/assignment4d3.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/assignment5d3.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/arrays/binarySearch.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d03/src/comp/helloWorld.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/d04.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/src/Mahasiswa.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/src/Mobil.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/src/Volume.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/src/assignment5d4.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/src/kalkulatorSederhana.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d04/src/mobilDemo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/d06.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment1d6/Mahasiswa.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment1d6/Mahasiswa.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment1d6/MahasiswaModel.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment2d6/Staff.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment2d6/StaffView.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment2d6/Worker.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment3d6/Child.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment3d6/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment3d6/Parent.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment4d6/Staff1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment4d6/StaffView1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment4d6/Worker1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment5d6/Staff2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment5d6/StaffView2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d06/src/Assignment5d6/Worker2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/d07.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment1d7/Regex.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment1d8/Multi1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment1d8/Multi2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment1d8/Multithread.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment2d8/Mahasiswa.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment2d8/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment2d8/MultiT1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment2d8/MultiT2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment2d8/Nilai.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment2d8/credential.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment3d8/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment3d8/Server.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d07/src/Assignment3d8/config.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/d08.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/Model.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/MultiT1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/MultiT2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/Server.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/config.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment1d8/file.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment2d8/JSONencoding1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/assignment3d8/JSONdecoding1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/testFiled8/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/testFiled8/FTPDownloadFileDemo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/testFiled8/FTPUploadFileDemo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/testFiled8/Server.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d08/src/testFiled8/anisa.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../d11/d11.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/.idea/libraries/json_simple_1_1_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/.idea/libraries/mysql_connector_j_8_0_31.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/exam02.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/src/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/src/Server.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/src/Siswa.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../exam02/src/config.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../finalExam1/finalExam1.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../finalExam1/src/mvc/staffController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../finalExam1/src/mvc/staffModel.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../finalExam1/src/mvc/staffView.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/.idea/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/.idea/compiler.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/.idea/encodings.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/.idea/jarRepositories.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/src/main/java/br/com/danielpadua/java_spring_idea_example/ExampleApplication.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../java-spring-idea-example/src/main/java/br/com/danielpadua/java_spring_idea_example/controller/ExampleController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/retryd2assignments.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/arrayd3/task1.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/arrayd3/task1cobalagi.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/arrayd3/task2.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/arrayd3/task2cobalagi.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/campuranVolumeUmur.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/doWhile.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/looping.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/perhitunganLuas.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/perhitunganVolume.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/switchCaseKalkulator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/tugas1if.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../retryd2assignments/src/javaConditionalLooping/zodiak.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/compiler.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/encodings.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/jarRepositories.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/uiDesigner.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/main/java/com/mkyong/StartApplication.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/main/java/com/mkyong/model/Book.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/main/java/com/mkyong/repository/BookRepository.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/main/java/com/mkyong/repository/JdbcBookRepository.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/main/java/com/mkyong/repository/NamedParameterJdbcBookRepository.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/main/resources/application.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../spring-jdbc1/src/test/java/org/example/AppTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/.idea/libraries/json_simple_1_1_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas1/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas1/Manager.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas1/Staff.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas1/Worker.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas2/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas2/Model.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas2/Server.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas2/config.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/src/tugas2/file.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../tugasd8/tugasd8.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Java.docx" beforeDir="false" afterPath="$PROJECT_DIR$/../Java.docx" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../PTDP_Week 3/221020 Devops.docx" beforeDir="false" afterPath="$PROJECT_DIR$/../PTDP_Week 3/221020 Devops.docx" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../PTDP_Week 3/~$1020 Devops.docx" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../Proposal Final Project.docx" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../expectation.md" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../readme.md" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2HId2aBJsHfuJip3aFovqgRVps2" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "last_opened_file_path": "/Users/ada-nb187/Documents/HibernateApplication_Product",
    "project.structure.last.edited": "Libraries",
    "project.structure.proportion": "0.0",
    "project.structure.side.proportion": "0.0"
  }
}]]></component>
  <component name="RunManager">
    <configuration name="HibernateApplication" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.electricalweb.application.HibernateApplication" />
      <module name="HibernateApplication_Product" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.electricalweb.application.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.HibernateApplication" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="aa261e4c-e878-4911-bc67-ef6ac9163407" name="Changes" comment="" />
      <created>1667976325667</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1667976325667</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
</project>